@import "src/styles";

.exercise-create-steps{
    padding-top: 40px;
    padding-bottom: 40px;
    padding-left: 16px;
    padding-right: 16px;

    h2{
        padding-top: 24px;
        padding-bottom: 16px;
    }
    span{
        display: block;
        margin-bottom: 16px;
    }
    .last-span{
        margin-bottom: 0;
    }

    ui-button{
        margin-top: 16px;
    }

    ui-lighten-button{
        margin-left: auto;
        width: max-content;
    }

    .step-list {
        width: 100%;
        max-width: 100%;
        border: none;
        display: block;
        background: transparent;
        overflow: hidden;

        .step{
            margin-bottom: 4px;
            font-size: 8px;
            color: $color-grey-fourty;
        }

        .exercise-step {
            border: 1px solid $color-grey-thirty;
            cursor: move;
            background: $color-white;
            padding: 12px;
            border-radius: 10px;
            margin-bottom: 16px;

            ui-description-input{
                margin-top: 12px;
                margin-bottom: 12px;
            }

            button{
                background-color: transparent;
                border: none;
                padding:0;
                margin-left: auto;
                display: block;

                i{
                    font-size: 16px;
                    font-weight: bolder;
                }

                .icon-delete{
                    cursor: pointer;
                    color: $color-error;
                }
                .icon-drag{
                    cursor: move;
                }
                &:hover, &:focus-visible{
                    .icon-delete{
                        color: $color-teal;
                    }
                }
            }
        }

        .cdk-drag-preview {
            box-sizing: border-box;
            border-radius: 4px;
            box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2),
                        0 8px 10px 1px rgba(0, 0, 0, 0.14),
                        0 3px 14px 2px rgba(0, 0, 0, 0.12);
        }
          
        .cdk-drag-placeholder {
            opacity: 0;
        }
        
        .cdk-drag-animating {
            transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
        }
        
        .step-list.cdk-drop-list-dragging .example-box:not(.cdk-drag-placeholder) {
            transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
        }
    }
}

  

